Get all movement request lines
get
/fscmRestApi/resources/11.13.18.05/inventoryMovementRequestLines
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds movement request lines according to the line identifier.
Finder Variables- LineId; integer; Value that uniquely identifies the movement request line.
- findByItemKeyword Finds the movement request line according to item keyword.
Finder Variables- bindItemKeyword; string; Value that identifies the item keyword.
- PrimaryKey Finds movement request lines according to the line identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CreatedBy; string; User who created the line.
- CreationDate; string; Date and time when the user created the row.
- DestinationAccount; string; Number that indicates the destination account for the movement request.
- DestinationAccountId; integer; Value that uniquely identifies the destination account.
- DestinationLocator; string; Description of the destination stock locator.
- DestinationLocatorId; integer; Value that uniquely identifies the destination stock locator.
- DestinationSubinventory; string; Abbreviation that identifies the destination subinventory.
- ExternalSystemAllocatedQuantity; number; Allocated quantity of the UOM of movement request lines interfaced with an external system. This value is interfaced only for movement requests of type shop floor.
- ExternalSystemCancelledQuantity; number; Canceled quantity of the UOM of movement request lines interfaced with an external system. This value is interfaced only for movement requests of the type shop floor.
- ExternalSystemGroupId; integer; Value that uniquely identifies the movement request lines that need to be interfaced with an external system.
- ExternalSystemRequestedQuantity; number; Requested quantity of the UOM of movement request lines interfaced with an external system. This value is interfaced only for movement requests of type shop floor.
- ExternalSystemRequestedQuantityInPUOM; number; Requested quantity in Item's primary UOM interfaced by external system. This value gets interfaced only for movement requests of type shop floor.
- FromSerialNumber; string; Starting serial number in a range of serial numbers that tracks items that are in inventory. The application uses this attribute when the warehouse places the item under serial control.
- Grade; string; Abbreviation that identifies the grade of the item.
- HeaderId; integer; Value that uniquely identifies the movement request header.
- IntegrationStatus; string; Integration status of the movement request lines interfaced to an external system. It has one of the following values: Interfaced, Confirmed, or Not Applicable.
- InventoryItemId; integer; Value that uniquely identifies the inventory item.
- ItemDescription; string; Description of the inventory item.
- ItemNumber; string; Name of the inventory item.
- ItemRevision; string; Value that indicates the revision of the inventory item.
- KanbanCardId; integer; Value that uniquely identifies the Kanban card.
- KanbanCardNumber; string; Kanban card number corresponding to the movement request line.
- LastUpdateDate; string; Date and time when the user most recently updated the row.
- LastUpdateLogin; string; Login that the user used when updating the row.
- LastUpdatedBy; string; User who most recently updated the row.
- LineId; integer; Value that uniquely identifies the movement request line.
- LineNumber; integer; Value that uniquely identifies the movement request line.
- LotNumber; string; Number that identifies the lot for the inventory item. This attribute is used when the warehouse places the item under lot control.
- MaterialSequenceNumber; integer; Value that identifies the order in which a repeating ingredient is issued to an operation in a process work order.
- OperationSequenceNumber; integer; Value that identifies a unique operation in work order.
- Order; string; Number that identifies the sales order in the order capture application.
- PrimaryUOMQuantity; number; Quantity requested for the item in the primary unit of measure.
- QuantityDelivered; number; Quantity delivered for the item.
- QuantityDetailed; number; Quantity reserved in primary unit of measure.
- Reason; string; Name of the movement request reason.
- ReasonId; integer; Value that uniquely identifies the movement request reason.
- Reference; string; Reference to the movement request.
- ReferenceSourceType; string; Name of the reference type.
- ReferenceTypeCode; integer; Value that uniquely identifies the reference type.
- RequestedQuantity; number; Quantity requested for the item.
- RequesterId; integer; Value that uniquely identifies the person who requested the movement.
- RequesterName; string; Name of the person who requested the movement.
- RequiredDate; string; Date when the movement request line is required.
- SecondaryQuantityDelivered; number; Quantity delivered for the item in the secondary unit of measure.
- SecondaryQuantityDetailed; number; Quantity reserved in secondary unit of measure.
- SecondaryRequestedQuantity; number; Quantity requested for the item in the secondary unit of measure.
- SecondaryUOMCode; string; Abbreviation that identifies the secondary unit of measure of the line quantity.
- SecondaryUOMName; string; Name of the secondary unit of measure of the line quantity.
- ShipToLocation; string; Name of the ship-to location.
- ShipToLocationId; integer; Date when the user requested the transfer order.
- SourceLocator; string; Description of the source stock locator.
- SourceLocatorId; integer; Value that uniquely identifies the source stock locator.
- SourceSubinventory; string; Abbreviation that identifies the source subinventory.
- Status; string; Value that indicates the status for the movement request line.
- StatusCode; integer; Value that uniquely identifies the line status for the movement request. A list of accepted values is defined in the lookup type INV_TXN_REQUEST_STATUS.
- StatusDate; string; Date when the status of the movement request changed.
- ToSerialNumber; string; Ending serial number in a range of serial numbers that tracks items that are in inventory. The application uses this attribute when the warehouse places the item under serial control.
- TransactionSourceId; integer; Value that uniquely identifies the transaction source.
- TransactionSourceLineId; integer; Value that uniquely identifies the transaction source line.
- TransactionSourceTypeId; integer; Value that uniquely identifies the transaction source type.
- TransactionType; string; Name of the transaction type.
- TransactionTypeId; integer; Value that uniquely identifies the type of transaction.
- UOMCode; string; Abbreviation that identifies the unit of measure of the line quantity.
- UOMName; string; Name of the unit of measure of the line quantity.
- ValidDestinationFlag; boolean; Contains one of the following values: True or False. If True, then destination account or destination subinventory are valid. If False, then destination account or destination subinventory aren't valid.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : inventoryMovementRequestLines
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryMovementRequestLines-item-response
Type:
Show Source
object-
AvailableToTransact: string
Read Only:
trueMaximum Length:255Quantity that's available to transact for an item in a movement request. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the line. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the row. -
DestinationAccount: string
Number that indicates the destination account for the movement request.
-
DestinationAccountAlias: string
Read Only:
trueValue that identifies the destination account alias. -
DestinationAccountId: integer
(int64)
Title:
Destination AccountValue that uniquely identifies the destination account. -
DestinationLocator: string
Maximum Length:
255Description of the destination stock locator. -
DestinationLocatorId: integer
(int64)
Title:
Destination LocatorValue that uniquely identifies the destination stock locator. -
DestinationSubinventory: string
Title:
Destination SubinventoryMaximum Length:10Abbreviation that identifies the destination subinventory. -
DestinationSubinventoryName: string
Read Only:
trueMaximum Length:255Name of the subinventory. -
ExternalSystemAllocatedQuantity: number
Read Only:
trueAllocated quantity of the UOM of movement request lines interfaced with an external system. This value is interfaced only for movement requests of type shop floor. -
ExternalSystemCancelledQuantity: number
Read Only:
trueCanceled quantity of the UOM of movement request lines interfaced with an external system. This value is interfaced only for movement requests of the type shop floor. -
ExternalSystemGroupId: integer
(int64)
Read Only:
trueValue that uniquely identifies the movement request lines that need to be interfaced with an external system. -
ExternalSystemRequestedQuantity: number
Read Only:
trueRequested quantity of the UOM of movement request lines interfaced with an external system. This value is interfaced only for movement requests of type shop floor. -
ExternalSystemRequestedQuantityInPUOM: number
Read Only:
trueRequested quantity in Item's primary UOM interfaced by external system. This value gets interfaced only for movement requests of type shop floor. -
FromSerialNumber: string
Title:
From Serial NumberMaximum Length:80Starting serial number in a range of serial numbers that tracks items that are in inventory. The application uses this attribute when the warehouse places the item under serial control. -
Grade: string
Title:
GradeRead Only:trueMaximum Length:150Abbreviation that identifies the grade of the item. -
header: array
Movement Request Headers
Title:
Movement Request HeadersA movement request is a transaction of the type Requisition, Replenishment, Pick Wave, or Shop Floor. -
HeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the movement request header. -
IntegrationStatus: string
Read Only:
trueMaximum Length:255Integration status of the movement request lines interfaced to an external system. It has one of the following values: Interfaced, Confirmed, or Not Applicable. -
InventoryItemId: integer
(int64)
Value that uniquely identifies the inventory item.
-
inventoryStripingDFF: array
inventoryStripingDFF
-
ItemDescription: string
Read Only:
trueMaximum Length:255Description of the inventory item. -
ItemNumber: string
Maximum Length:
255Name of the inventory item. -
ItemRevision: string
Maximum Length:
18Value that indicates the revision of the inventory item. -
KanbanCardId: integer
(int64)
Value that uniquely identifies the Kanban card.
-
KanbanCardNumber: string
Maximum Length:
255Kanban card number corresponding to the movement request line. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the row. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login that the user used when updating the row. -
LineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the movement request line. -
LineNumber: integer
(int64)
Title:
Line NumberRead Only:trueValue that uniquely identifies the movement request line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Title:
LotMaximum Length:80Number that identifies the lot for the inventory item. This attribute is used when the warehouse places the item under lot control. -
MaterialSequenceNumber: integer
(int64)
Value that identifies the order in which a repeating ingredient is issued to an operation in a process work order.
-
OperationSequenceNumber: integer
(int64)
Value that identifies a unique operation in work order.
-
Order: string
Read Only:
trueMaximum Length:255Number that identifies the sales order in the order capture application. -
PrimaryUOMQuantity: number
Read Only:
trueQuantity requested for the item in the primary unit of measure. -
projectDFF: array
projectDFF
-
QuantityDelivered: number
Title:
Delivered QuantityRead Only:trueQuantity delivered for the item. -
QuantityDetailed: number
Read Only:
trueQuantity reserved in primary unit of measure. -
Reason: string
Maximum Length:
255Name of the movement request reason. -
ReasonId: integer
(int64)
Title:
ReasonValue that uniquely identifies the movement request reason. -
Reference: string
Title:
ReferenceMaximum Length:240Reference to the movement request. -
ReferenceSourceType: string
Read Only:
trueMaximum Length:255Name of the reference type. -
ReferenceTypeCode: integer
(int64)
Title:
Reference Source TypeRead Only:trueValue that uniquely identifies the reference type. -
RequestedQuantity: number
Title:
Requested QuantityQuantity requested for the item. -
RequesterId: integer
(int64)
Value that uniquely identifies the person who requested the movement.
-
RequesterName: string
Name of the person who requested the movement.
-
RequiredDate: string
(date-time)
Title:
Required DateDate when the movement request line is required. -
SecondaryQuantityDelivered: number
Title:
Secondary Delivered QuantityRead Only:trueQuantity delivered for the item in the secondary unit of measure. -
SecondaryQuantityDetailed: number
Read Only:
trueQuantity reserved in secondary unit of measure. -
SecondaryRequestedQuantity: number
Title:
Secondary Requested QuantityQuantity requested for the item in the secondary unit of measure. -
SecondaryUOMCode: string
Title:
Secondary Quantity UOMRead Only:trueMaximum Length:3Abbreviation that identifies the secondary unit of measure of the line quantity. -
SecondaryUOMName: string
Read Only:
trueMaximum Length:255Name of the secondary unit of measure of the line quantity. -
ShipToLocation: string
Read Only:
trueMaximum Length:255Name of the ship-to location. -
ShipToLocationId: integer
(int64)
Title:
Ship-to LocationDate when the user requested the transfer order. -
SourceLocator: string
Maximum Length:
255Description of the source stock locator. -
SourceLocatorId: integer
(int64)
Title:
Source LocatorValue that uniquely identifies the source stock locator. -
SourceSubinventory: string
Title:
Source SubinventoryMaximum Length:10Abbreviation that identifies the source subinventory. -
SourceSubinventoryName: string
Read Only:
trueMaximum Length:255Name of the subinventory. -
Status: string
Maximum Length:
255Value that indicates the status for the movement request line. -
StatusCode: integer
(int64)
Title:
StatusDefault Value:1Value that uniquely identifies the line status for the movement request. A list of accepted values is defined in the lookup type INV_TXN_REQUEST_STATUS. -
StatusDate: string
(date)
Title:
Status DateRead Only:trueDate when the status of the movement request changed. -
ToSerialNumber: string
Title:
To Serial NumberMaximum Length:80Ending serial number in a range of serial numbers that tracks items that are in inventory. The application uses this attribute when the warehouse places the item under serial control. -
TransactionSourceId: integer
Value that uniquely identifies the transaction source.
-
TransactionSourceLineId: integer
Value that uniquely identifies the transaction source line.
-
TransactionSourceTypeId: integer
Value that uniquely identifies the transaction source type.
-
TransactionType: string
Maximum Length:
255Name of the transaction type. -
TransactionTypeId: integer
Title:
Transaction TypeValue that uniquely identifies the type of transaction. -
UOMCode: string
Maximum Length:
3Abbreviation that identifies the unit of measure of the line quantity. -
UOMName: string
Maximum Length:
255Name of the unit of measure of the line quantity. -
ValidDestinationFlag: boolean
Read Only:
trueContains one of the following values: True or False. If True, then destination account or destination subinventory are valid. If False, then destination account or destination subinventory aren't valid. -
WorkCenterCode: string
Read Only:
trueMaximum Length:255Abbreviation that identifies the work center.
Nested Schema : Movement Request Headers
Type:
arrayTitle:
Movement Request HeadersA movement request is a transaction of the type Requisition, Replenishment, Pick Wave, or Shop Floor.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : projectDFF
Type:
Show Source
array-
Array of:
object Discriminator: __FLEX_Context
Discriminator:
{ "propertyName":"__FLEX_Context", "mapping":{ "AP_Distribution_Sets":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FDistribution__5FSetsVO-item-response", "AP_Invoice_Distribution":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FDistributionVO-item-response", "AP_Invoice_Line":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FLineVO-item-response", "EXM_Expense_Report":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReportVO-item-response", "EXM_Expense_Report_Line":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReport__5FLineVO-item-response", "INV_Misc_Transactions":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFINV__5FMisc__5FTransactionsVO-item-response", "OM_Sales_Order":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFOM__5FSales__5FOrderVO-item-response", "PJC_All":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FAllVO-item-response", "PJC_Expenditure_Batch":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FExpenditure__5FBatchVO-item-response", "POR_Requisition":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FRequisitionVO-item-response", "POR_User_Preferences":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FUser__5FPreferencesVO-item-response", "PO_Purchase_Order":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrderVO-item-response", "PO_Purchase_Order_Line":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FLineVO-item-response", "PO_Purchase_Order_Schedule":"#/components/schemas/oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FScheduleVO-item-response" } }
Nested Schema : inventoryMovementRequestLines-header-item-response
Type:
Show Source
object-
ActionSourceCode: string
Value that represents the source system that performed this action.
-
AllocationFlag: boolean
Default Value:
falseDate and time when the user created the row. -
CopyLinesFromHeaderId: integer
Value that uniquely identifies a movement request header from which lines need to be duplicated.
-
CopyLinesFromLineId: integer
Value that uniquely identifies a movement request line that needs to be duplicated.
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64Name of the user who created the line in a movement request. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the row. -
Description: string
Title:
DescriptionMaximum Length:240Description of the movement request. -
DestinationAccount: string
Maximum Length:
255Number that indicates the destination account for the movement request. -
DestinationAccountAlias: string
Read Only:
trueValue that identifies the destination account alias. -
DestinationAccountId: integer
(int64)
Title:
Destination AccountValue that uniquely identifies the destination account. -
DestinationLocator: string
Description of the destination stock locator.
-
DestinationLocatorId: integer
(int64)
Title:
Destination LocatorValue that uniquely identifies the destination stock locator. -
DestinationSubinventory: string
Title:
Destination SubinventoryMaximum Length:10Abbreviation that identifies the destination subinventory. -
DestinationSubinventoryName: string
Read Only:
trueMaximum Length:255Name of the subinventory. -
ExternalSystemGroupId: integer
(int64)
Read Only:
trueValue that uniquely identifies the movement request headers that need to be interfaced with an external system. -
HeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the movement request header. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the row. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login that the user used when updating the row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MovementRequestType: string
Read Only:
trueMaximum Length:255Name of the movement request type. -
MoveOrderType: integer
Title:
Movement Request TypeRead Only:trueDefault Value:1Value that uniquely identifies the type of the movement request. -
OrganizationCode: string
Maximum Length:
255Abbreviation that identifies the organization. -
OrganizationId: integer
(int64)
Value that uniquely identifies the organization.
-
OrganizationName: string
Maximum Length:
255Name of the source organization. -
PickSetEnabledFlag: boolean
Read Only:
trueContains one of the following values: True or False. If True, then the pick set is enabled. If False, then the pick set is disabled. -
RequestNumber: string
Title:
Movement RequestMaximum Length:30Number that identifies the movement request. -
RequiredDate: string
(date-time)
Title:
Required DateDate when the movement request is required. -
SourceLocator: string
Description of the source stock locator.
-
SourceLocatorId: integer
(int64)
Title:
Source LocatorValue that uniquely identifies the source stock locator. -
SourceSubinventory: string
Title:
Source SubinventoryMaximum Length:10Abbreviation that identifies the source subinventory. -
SourceSubinventoryName: string
Read Only:
trueMaximum Length:255Name of the subinventory. -
Status: string
Maximum Length:
255Value that indicates the status of the movement request header. -
StatusCode: integer
(int64)
Title:
StatusDefault Value:1Value that uniquely identifies the header status for the movement request. A list of accepted values is defined in the lookup type INV_TXN_REQUEST_STATUS. -
SubmitApprovalFlag: boolean
Default Value:
falseContains one of the following values: True or False. If True, then the movement request is submitted for approval. If False, then the movement request isn't submitted for approval. The default value is False. -
SubmitRequestFlag: boolean
Contains one of the following values: True or False. If True, then the movement request is submitted. If False, then the movement request isn't submitted. The default value is False.
-
TransactionType: string
Maximum Length:
255Name of the transaction type. -
TransactionTypeId: integer
(int64)
Title:
Transaction TypeValue that uniquely identifies the type of the transaction.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : inventoryMovementRequestLines-inventoryStripingDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:40Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
countryOfOriginCode: string
Title:
Country of OriginMaximum Length:2Country of Origin -
countryOfOriginCode_Display: string
Title:
Country of OriginCountry of Origin -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
projectId: integer
(int64)
Title:
ProjectProject -
projectId_Display: string
Title:
ProjectProject -
taskId: integer
(int64)
Title:
TaskTask -
taskId_Display: string
Title:
TaskTask
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Discriminator: __FLEX_Context
Type:
objectDiscriminator: __FLEX_Context
Discriminator Values
- AP_Distribution_Sets
- AP_Invoice_Distribution
- AP_Invoice_Line
- EXM_Expense_Report
- EXM_Expense_Report_Line
- INV_Misc_Transactions
- OM_Sales_Order
- PJC_All
- PJC_Expenditure_Batch
- POR_Requisition
- POR_User_Preferences
- PO_Purchase_Order
- PO_Purchase_Order_Line
- PO_Purchase_Order_Schedule
Match One Schema
Show Source
-
AP_Distribution_Sets -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FDistribution__5FSetsVO-item-response
-
AP_Invoice_Distribution -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FDistributionVO-item-response
-
AP_Invoice_Line -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FLineVO-item-response
-
EXM_Expense_Report -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReportVO-item-response
-
EXM_Expense_Report_Line -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReport__5FLineVO-item-response
-
INV_Misc_Transactions -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFINV__5FMisc__5FTransactionsVO-item-response
-
OM_Sales_Order -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFOM__5FSales__5FOrderVO-item-response
-
PJC_All -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FAllVO-item-response
-
PJC_Expenditure_Batch -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FExpenditure__5FBatchVO-item-response
-
POR_Requisition -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FRequisitionVO-item-response
-
POR_User_Preferences -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FUser__5FPreferencesVO-item-response
-
PO_Purchase_Order -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrderVO-item-response
-
PO_Purchase_Order_Line -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FLineVO-item-response
-
PO_Purchase_Order_Schedule -
object
oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FScheduleVO-item-response
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FDistribution__5FSetsVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:AP_Distribution_SetsContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FDistributionVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:AP_Invoice_DistributionContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFAP__5FInvoice__5FLineVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:AP_Invoice_LineContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReportVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:EXM_Expense_ReportContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFEXM__5FExpense__5FReport__5FLineVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:EXM_Expense_Report_LineContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFINV__5FMisc__5FTransactionsVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:INV_Misc_TransactionsContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFOM__5FSales__5FOrderVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:OM_Sales_OrderContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
billableFlag: string
Title:
BillableMaximum Length:1Billable -
billableFlag_Display: string
Title:
BillableBillable -
capitalizableFlag: string
Title:
CapitalizableMaximum Length:1Capitalizable -
capitalizableFlag_Display: string
Title:
CapitalizableCapitalizable -
contractId: number
Title:
Contract NumberContract Number -
contractId_Display: string
Title:
Contract NumberContract Number -
expenditureItemDate: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
expenditureTypeId: number
Title:
Expenditure TypeExpenditure Type -
expenditureTypeId_Display: string
Title:
Expenditure TypeExpenditure Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
organizationId: number
Title:
Expenditure OrganizationExpenditure Organization -
organizationId_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
projectId: number
Title:
Project NumberProject Number -
projectId_Display: string
Title:
Project NumberProject Number -
reservedAttribute1: string
Title:
Funding SourceMaximum Length:150Funding Source -
reservedAttribute1_Display: string
Title:
Funding SourceFunding Source -
taskId: number
Title:
Task NumberTask Number -
taskId_Display: string
Title:
Task NumberTask Number -
workTypeId: number
Title:
Work TypeWork Type -
workTypeId_Display: string
Title:
Work TypeWork Type
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FAllVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:PJC_AllContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_DisplayValue: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_DisplayValue: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPJC__5FExpenditure__5FBatchVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:PJC_Expenditure_BatchContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FRequisitionVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:POR_RequisitionContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPOR__5FUser__5FPreferencesVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:POR_User_PreferencesContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrderVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:PO_Purchase_OrderContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FLineVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:PO_Purchase_Order_LineContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : oracle_apps_scm_inventory_movementRequests_flex_PJCFlex_view_PJCDFFPO__5FPurchase__5FOrder__5FScheduleVO-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:40Default Value:PO_Purchase_Order_ScheduleContext Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
_BILLABLE_FLAG: string
Title:
BillableMaximum Length:1Billable -
_BILLABLE_FLAG_Display: string
Title:
BillableBillable -
_CAPITALIZABLE_FLAG: string
Title:
CapitalizableMaximum Length:1Capitalizable -
_CAPITALIZABLE_FLAG_Display: string
Title:
CapitalizableCapitalizable -
_CONTRACT_ID: number
Title:
Contract NumberContract Number -
_CONTRACT_ID_Display: string
Title:
Contract NumberContract Number -
_EXPENDITURE_ITEM_DATE: string
(date)
Title:
Expenditure Item DateExpenditure Item Date -
_EXPENDITURE_TYPE_ID: number
Title:
Expenditure TypeExpenditure Type -
_EXPENDITURE_TYPE_ID_Display: string
Title:
Expenditure TypeExpenditure Type -
_ORGANIZATION_ID: number
Title:
Expenditure OrganizationExpenditure Organization -
_ORGANIZATION_ID_Display: string
Title:
Expenditure OrganizationExpenditure Organization -
_PROJECT_ID: number
Title:
Project NumberProject Number -
_PROJECT_ID_Display: string
Title:
Project NumberProject Number -
_RESERVED_ATTRIBUTE1: string
Title:
Funding SourceMaximum Length:150Funding Source -
_RESERVED_ATTRIBUTE1_Display: string
Title:
Funding SourceFunding Source -
_TASK_ID: number
Title:
Task NumberTask Number -
_TASK_ID_Display: string
Title:
Task NumberTask Number -
_WORK_TYPE_ID: number
Title:
Work TypeWork Type -
_WORK_TYPE_ID_Display: string
Title:
Work TypeWork Type -
LineId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source